Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.oracle
Class OracleByteArrayType

    java.lang.Object
      org.apache.cayenne.access.types.ByteArrayType
          org.apache.cayenne.dba.oracle.OracleByteArrayType

All Implemented Interfaces:
  ExtendedType

    public class OracleByteArrayType

extends ByteArrayType

Field Summary

Fields inherited from class org.apache.cayenne.access.types.ByteArrayType
`trimmingBytes, usingBlobs`

Constructor Summary
`OracleByteArrayType()`

Method Summary
`void` | `setJdbcObject(java.sql.PreparedStatement st, java.lang.Object val, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.

Methods inherited from class org.apache.cayenne.access.types.ByteArrayType
`getClassName, isTrimmingBytes, isUsingBlobs, materializeObject, materializeObject, readBinaryStream, readBlob, readValueStream, setTrimmingBytes, setUsingBlobs, trimBytes, writeBlob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleByteArrayType

    public OracleByteArrayType()

Method Detail

### setJdbcObject

    public void setJdbcObject(java.sql.PreparedStatement st,
                              java.lang.Object val,
                              int pos,
                              int type,
                              int scale)
                       throws java.lang.Exception

  Description copied from interface: `ExtendedType`
  Initializes a single parameter of a PreparedStatement with object value.

  Specified by:
    `setJdbcObject` in interface `ExtendedType`
  Overrides:
    `setJdbcObject` in class `ByteArrayType`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.